unit Asset4;

{$mode ObjFPC}{$H+}

interface

uses
			Classes, SysUtils, Forms, Controls, Graphics, Dialogs,StdCtrls,
			unit0;

type

			{ TAss4 }

   TAss4 = class(TForm)

		Label1:TLabel;
			start_dd:TEdit;
			start_mm:TEdit;
			start_ccyy:TEdit;

		Label2:TLabel;
			end_dd:TEdit;
			end_mm:TEdit;
			end_ccyy:TEdit;

		procedure FormCreate(Sender:TObject);
		procedure FormShow(Sender:TObject);

		private
		public

	end;

var
	Ass4: TAss4;

implementation

{$R *.lfm}

{ TAss4 }


procedure TAss4.FormCreate(Sender:TObject);
begin

{ Form to get Keystroke 1st	}
	KeyPreview := true;

end;

procedure TAss4.FormShow(Sender:TObject);
begin

	Ass4.Caption := Format('%0.2d',[A01_Parameter]) + ' Asset Sale';

	start_dd.Text		:= '01';
	start_mm.Text		:= '07';
	X					 			:= nFinancialYear - 1;
	start_ccyy.Text	:= IntToStr(X);

	end_dd.Text			:= '30';
	end_mm.Text			:= '06';
	end_ccyy.Text		:= IntToStr(nFinancialYear);

end;

end.

